org.apache.felix.deployment.rp.autoconf

## Class AutoConfResourceProcessor

- java.lang.Object
- - org.apache.felix.deployment.rp.autoconf.AutoConfResourceProcessor

All Implemented Interfaces:
  org.osgi.service.deploymentadmin.spi.ResourceProcessor, org.osgi.service.event.EventHandler

    public class AutoConfResourceProcessor
    extends Object
    implements org.osgi.service.deploymentadmin.spi.ResourceProcessor, org.osgi.service.event.EventHandler

### Field Summary

Fields
`static String` `CONFIGURATION_ADMIN_FILTER_ATTRIBUTE`

### Constructor Summary

Constructors
Constructor and Description
`AutoConfResourceProcessor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addConfigurationAdmin(org.osgi.framework.ServiceReference ref, org.osgi.service.cm.ConfigurationAdmin ca)` Called by Felix DM for the component created in `commit()`.
`void` `begin(org.osgi.service.deploymentadmin.spi.DeploymentSession session)`
`void` `cancel()`
`void` `commit()`
`void` `dropAllResources()`
`void` `dropped(String name)`
`void` `handleEvent(org.osgi.service.event.Event event)`
`void` `postcommit()`
`void` `prepare()`
`void` `process(String name, InputStream stream)`
`void` `rollback()`
`void` `start()` Called by Felix DM when starting this component.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONFIGURATION_ADMIN_FILTER_ATTRIBUTE

    public static final String CONFIGURATION_ADMIN_FILTER_ATTRIBUTE

See Also:
  Constant Field Values

### Constructor Detail

#### AutoConfResourceProcessor

    public AutoConfResourceProcessor()

### Method Detail

#### addConfigurationAdmin

    public void addConfigurationAdmin(org.osgi.framework.ServiceReference ref,
                                      org.osgi.service.cm.ConfigurationAdmin ca)

Called by Felix DM for the component created in `commit()`.

#### begin

    public void begin(org.osgi.service.deploymentadmin.spi.DeploymentSession session)

Specified by:
  `begin` in interface `org.osgi.service.deploymentadmin.spi.ResourceProcessor`

#### cancel

    public void cancel()

Specified by:
  `cancel` in interface `org.osgi.service.deploymentadmin.spi.ResourceProcessor`

#### commit

    public void commit()

Specified by:
  `commit` in interface `org.osgi.service.deploymentadmin.spi.ResourceProcessor`

#### dropAllResources

    public void dropAllResources()
                          throws org.osgi.service.deploymentadmin.spi.ResourceProcessorException

Specified by:
  `dropAllResources` in interface `org.osgi.service.deploymentadmin.spi.ResourceProcessor`
Throws:
  `org.osgi.service.deploymentadmin.spi.ResourceProcessorException`

#### dropped

    public void dropped(String name)
                 throws org.osgi.service.deploymentadmin.spi.ResourceProcessorException

Specified by:
  `dropped` in interface `org.osgi.service.deploymentadmin.spi.ResourceProcessor`
Throws:
  `org.osgi.service.deploymentadmin.spi.ResourceProcessorException`

#### handleEvent

    public void handleEvent(org.osgi.service.event.Event event)

Specified by:
  `handleEvent` in interface `org.osgi.service.event.EventHandler`

#### postcommit

    public void postcommit()

#### prepare

    public void prepare()
                 throws org.osgi.service.deploymentadmin.spi.ResourceProcessorException

Specified by:
  `prepare` in interface `org.osgi.service.deploymentadmin.spi.ResourceProcessor`
Throws:
  `org.osgi.service.deploymentadmin.spi.ResourceProcessorException`

#### process

    public void process(String name,
                        InputStream stream)
                 throws org.osgi.service.deploymentadmin.spi.ResourceProcessorException

Specified by:
  `process` in interface `org.osgi.service.deploymentadmin.spi.ResourceProcessor`
Throws:
  `org.osgi.service.deploymentadmin.spi.ResourceProcessorException`

#### rollback

    public void rollback()

Specified by:
  `rollback` in interface `org.osgi.service.deploymentadmin.spi.ResourceProcessor`

#### start

    public void start()
               throws IOException

Called by Felix DM when starting this component.

Throws:
  `IOException`